%define upstream_name    Locale-PO
%define upstream_version 0.21

Name:          perl-%upstream_name
Version:       %{upstream_version}
Release:       %mkrel 2
Summary:       Locale::PO - Perl module for manipulating .po entries from GNU gettext
License:       Artistic, GPL
Group:         System/Libraries
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/K/KE/KEN/%upstream_name-%{version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:     noarch

%description
This module simplifies management of GNU gettext .po files and is an alternative to using emacs po-mode. It
provides an object-oriented interface in which each entry in a .po file is a Locale::PO object.

%prep
%setup -q -n %upstream_name-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_std

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.xz
%doc Changes README



%changelog

* Sun Sep 04 2011 dmorgan <dmorgan> 0.21-2.mga2
+ Revision: 138345
- Try to convert to perl spec file policy
- Clean spec file

  + gil <gil>
    - imported package perl-Locale-PO

